//********************************************************************
//                       LICENSE AND DISCLAIMER
//
// This material contains IBM copyrighted sample programming source
// code for your consideration.  This sample code has not been
// thoroughly tested under all conditions.  IBM, therefore, cannot
// guarantee or imply reliability, serviceability, or function.
// IBM provides no program services for this material. This material
// is provided "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR
// IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  SOME
// JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO
// THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL IBM
// BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER
// CONSEQUENTIAL DAMAGES FOR ANY USE OF THIS MATERIAL INCLUDING,
// WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS INTERRUPTION, LOSS
// OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION HANDLING SYSTEM OR
// OTHERWISE, EVEN IF EXPRESSLY ADVISED OF THE POSSIBILITY OF SUCH
// DAMAGES.
//
//
//                              COPYRIGHT
//                              ---------
//               (C) Copyright IBM CORP. 1999
//               All rights reserved.
//               US Government Users Restricted Rights -
//               Use, duplication or disclosure restricted
//               by GSA ADP Schedule Contract with IBM Corp.
//               Licensed Material - Property of IBM
//********************************************************************

package com.ibm.as400.opnav.MsgQueueSample5;

import com.ibm.as400.opnav.ObjectName;
import java.io.Serializable;

/**
 * Provides a serializable wrapper for an array of <code>ObjectName</code>s.
 * This allows the list of <code>ObjectName</code>s to be stored on the
 * system clipboard.
 */   
class MqObjectNames implements Serializable
{
    // Serialized array of ObjectNames
    private ObjectName[] m_names;

    /**
     * Constructs an <code>MqObjectNames</code> object.
     *
     * @param   names The array of <code>ObjectName</code>s to be serialized.
     */    
	public MqObjectNames(ObjectName[] names)
	{ m_names = names; }
	
    /**
     * Returns the array of <code>ObjectName</code>s.
     *
     * @return the wrappered array of <code>ObjectName</code>s.
     */
	public ObjectName[] getObjectNames()
	{ return m_names; }
}
