//********************************************************************
//                       LICENSE AND DISCLAIMER
//
// This material contains IBM copyrighted sample programming source
// code for your consideration.  This sample code has not been
// thoroughly tested under all conditions.  IBM, therefore, cannot
// guarantee or imply reliability, serviceability, or function.
// IBM provides no program services for this material. This material
// is provided "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR
// IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  SOME
// JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO
// THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL IBM
// BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER
// CONSEQUENTIAL DAMAGES FOR ANY USE OF THIS MATERIAL INCLUDING,
// WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS INTERRUPTION, LOSS
// OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION HANDLING SYSTEM OR
// OTHERWISE, EVEN IF EXPRESSLY ADVISED OF THE POSSIBILITY OF SUCH
// DAMAGES.
//
//
//                              COPYRIGHT
//                              ---------
//               (C) Copyright IBM CORP. 1999
//               All rights reserved.
//               US Government Users Restricted Rights -
//               Use, duplication or disclosure restricted
//               by GSA ADP Schedule Contract with IBM Corp.
//               Licensed Material - Property of IBM
//********************************************************************

package com.ibm.as400.opnav.MsgQueueSample5;

import java.awt.datatransfer.*;
import java.io.Serializable;

/**
 * This class is copied verbatim from Core Java 1.1 Volume 2,
 * Chapter 6. It provides an implementation of the 
 * <code>java.awt.Transferable</code> interface for objects
 * stored on the system clipboard as serialized strings.
 */
class SerializableSelection implements Transferable
{
    public SerializableSelection(Serializable object)
    { theObject = object; }
    
    public boolean isDataFlavorSupported(DataFlavor flavor)
    { return flavor.equals(serializableFlavor); }
    
    public synchronized Object getTransferData(DataFlavor flavor)
        throws UnsupportedFlavorException
    {
        if (flavor.equals(serializableFlavor))
            return theObject;
        else
            throw new UnsupportedFlavorException(flavor);
    }
    
    public DataFlavor[] getTransferDataFlavors()
    { return flavors; }
    
    public static final DataFlavor serializableFlavor
        = new DataFlavor(java.io.Serializable.class, "Serializable Object");
        
    private static DataFlavor[] flavors = { serializableFlavor };
    
    private Serializable theObject;
}
